Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003878TestLinkTest Executepublic2010-10-11 09:492011-01-22 15:11
Reporterrajish 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9.1 (bug fixing) 
Summary0003878: "Save and move to next" does not respect filter settings
DescriptionExecuting a test-case with "Save and move to next" button does not necessarily move to a case visible in the tree.


Steps To Reproduce1. Open the Execute page for a test suite having some tests marked with a keyword
2. Filter test cases with the keyword
3. Execute a case surrounded with cases without the keyword (i.e. before filtering, and now filtered out) with the "Save and move to next" button

Current result:
The issue displayed is sometimes from the set that has the keyword not set

Expected result:
The issue displayed should be only from the filtered set (even when the tree is not unfolded)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserGoogle Chrome 6.0.472.63 for Linux Ubuntu 10.04 LTS
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3878.zip [^] (13,859 bytes) 2011-01-05 12:43

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0011868)
qateste (reporter)
2010-10-12 14:46

FYI, I had a issue that I haven't been able to reproduce (still trying) where 'save and move to next' was skipping every other test with no filters.
(0013160)
vrsari.tli (reporter)
2011-01-05 11:15

I faced the issue like,
Select a test suite with more 20 or more number of test cases.
select the 1st test case,
Enter 'notes' and click on the 'save and move to next' button.

while executing, Click on the 'Save and move to next' button in the 'Result' section , it does not move to the next TC, but it moves to a random Test case.
(0013161)
asimon (developer)
2011-01-05 12:44

Fixed for 1.9 and head.
(0013374)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-10-11 09:49 rajish New Issue
2010-10-12 14:46 qateste Note Added: 0011868
2011-01-05 11:15 vrsari.tli Note Added: 0013160
2011-01-05 12:43 asimon File Added: fix-3878.zip
2011-01-05 12:44 asimon Note Added: 0013161
2011-01-05 12:44 asimon Status new => resolved
2011-01-05 12:44 asimon Fixed in Version => 1.9.1 (bug fixing)
2011-01-05 12:44 asimon Resolution open => fixed
2011-01-05 12:44 asimon Assigned To => asimon
2011-01-05 19:12 fman Relationship added child of 0004039
2011-01-22 15:11 fman Note Added: 0013374
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker